Apply Custom Report

Copy a custom report to named accounts, or to all accounts in the organization.

This method allows users to apply a saved custom report from one account to another account or to all existing and future accounts within an organization.

KeyMeaningMandatoryData Type
accountidSource account name from which the report is appliedYesstring
reportnameName of the custom report to be appliedYesstring
targetorganizationOrganization where the report will be appliedYesstring
targetaccountsTarget account names (comma-separated) or “all” for all accounts including future accountsYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Report.apply(
  accountid="Demo Account",
  reportname="report 1",
  targetorganization="Demo Org",
  targetaccounts="account_1,account_2"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json